ContactInfo (CMDB Model API)
Keywords: com.collation.platform.model.topology.admin.ContactInfo interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.admin
Interface ContactInfo

All Superinterfaces:
  Contact, ModelObject, java.io.Serializable

    public interface ContactInfo

extends ModelObject, Contact

The set of information that is valid for contacting a party with an association to a resource. When used with the classes process.Person and admin.ContactPurpose, this class can represent contact information for a particular person for a particular purpose when a contact is needed to discuss a resource instance that requires attention.

Naming Rules:
  0="name"
Persistable:
  true
Table Name:
  CONTACT
Display Name:
  name

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getCity()`
`java.lang.String` | `getCountrty()`
`java.lang.String` | `getEmail()`
`java.lang.String` | `getFax()`
`java.lang.String` | `getFloor()`
`java.lang.String` | `getMobilePhone()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNote()`
`java.lang.String` | `getPager()`
`java.lang.String` | `getPostalCode()`
`java.lang.String` | `getRoom()`
`java.lang.String` | `getStateOrProvince()`
`java.lang.String` | `getStreetAddress()`
`java.lang.String` | `getTitle()`
`int` | `getType()` Deprecated.
`java.lang.String` | `getURL()`
`java.lang.String` | `getWorkPhone()`
`boolean` | `hasCity()`
`boolean` | `hasCountrty()`
`boolean` | `hasEmail()`
`boolean` | `hasFax()`
`boolean` | `hasFloor()`
`boolean` | `hasMobilePhone()`
`boolean` | `hasName()`
`boolean` | `hasNote()`
`boolean` | `hasPager()`
`boolean` | `hasPostalCode()`
`boolean` | `hasRoom()`
`boolean` | `hasStateOrProvince()`
`boolean` | `hasStreetAddress()`
`boolean` | `hasTitle()`
`boolean` | `hasType()`
`boolean` | `hasURL()`
`boolean` | `hasWorkPhone()`
`void` | `setCity(java.lang.String x)`
`void` | `setCountrty(java.lang.String x)`
`void` | `setEmail(java.lang.String x)`
`void` | `setFax(java.lang.String x)`
`void` | `setFloor(java.lang.String x)`
`void` | `setMobilePhone(java.lang.String x)`
`void` | `setName(java.lang.String x)`
`void` | `setNote(java.lang.String x)`
`void` | `setPager(java.lang.String x)`
`void` | `setPostalCode(java.lang.String x)`
`void` | `setRoom(java.lang.String x)`
`void` | `setStateOrProvince(java.lang.String x)`
`void` | `setStreetAddress(java.lang.String x)`
`void` | `setTitle(java.lang.String x)`
`void` | `setType(int x)`
`void` | `setURL(java.lang.String x)`
`void` | `setWorkPhone(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getRoom

    java.lang.String getRoom()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setRoom

    void setRoom(java.lang.String x)

### hasRoom

    boolean hasRoom()

### getFloor

    java.lang.String getFloor()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFloor

    void setFloor(java.lang.String x)

### hasFloor

    boolean hasFloor()

### getCountrty

    java.lang.String getCountrty()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCountrty

    void setCountrty(java.lang.String x)

### hasCountrty

    boolean hasCountrty()

### getType

    int getType()
                throws AttributeNotSetException

  Deprecated.

  Throws:
    `AttributeNotSetException`

### setType

    void setType(int x)

### hasType

    boolean hasType()

### getCity

    java.lang.String getCity()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setCity

    void setCity(java.lang.String x)

### hasCity

    boolean hasCity()

### getWorkPhone

    java.lang.String getWorkPhone()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setWorkPhone

    void setWorkPhone(java.lang.String x)

### hasWorkPhone

    boolean hasWorkPhone()

### getEmail

    java.lang.String getEmail()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setEmail

    void setEmail(java.lang.String x)

### hasEmail

    boolean hasEmail()

### getFax

    java.lang.String getFax()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setFax

    void setFax(java.lang.String x)

### hasFax

    boolean hasFax()

### getPager

    java.lang.String getPager()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPager

    void setPager(java.lang.String x)

### hasPager

    boolean hasPager()

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setName

    void setName(java.lang.String x)

### hasName

    boolean hasName()

### getTitle

    java.lang.String getTitle()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setTitle

    void setTitle(java.lang.String x)

### hasTitle

    boolean hasTitle()

### getURL

    java.lang.String getURL()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setURL

    void setURL(java.lang.String x)

### hasURL

    boolean hasURL()

### getStreetAddress

    java.lang.String getStreetAddress()
                                      throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStreetAddress

    void setStreetAddress(java.lang.String x)

### hasStreetAddress

    boolean hasStreetAddress()

### getNote

    java.lang.String getNote()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setNote

    void setNote(java.lang.String x)

### hasNote

    boolean hasNote()

### getPostalCode

    java.lang.String getPostalCode()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPostalCode

    void setPostalCode(java.lang.String x)

### hasPostalCode

    boolean hasPostalCode()

### getMobilePhone

    java.lang.String getMobilePhone()
                                    throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setMobilePhone

    void setMobilePhone(java.lang.String x)

### hasMobilePhone

    boolean hasMobilePhone()

### getStateOrProvince

    java.lang.String getStateOrProvince()
                                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setStateOrProvince

    void setStateOrProvince(java.lang.String x)

### hasStateOrProvince

    boolean hasStateOrProvince()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD